%define upstream_name    Test-Run-Plugin-ColorSummary
%define upstream_version 0.0201

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Color the summary in Test::Run::CmdLine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Run::CmdLine) >= 0.11.100
BuildRequires: perl(Test::Run::CmdLine::Trap::ProveApp)
BuildRequires: perl(Test::Run::Core) >= 0.11.800
BuildRequires: perl(Test::Run::Obj)
BuildRequires: perl(Test::Run::Trap::Obj)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.20.100-4.mga5
+ Revision: 789764
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.100-3.mga5
+ Revision: 750021
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.100-2.mga5
+ Revision: 686540
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.20.100-1.mga5
+ Revision: 588727
- update to 0.0201

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 528481
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 0.20.0-1.mga4
+ Revision: 445693
- New version 0.0200

* Sun Jan 13 2013 umeabot <umeabot> 0.12.100-2.mga3
+ Revision: 373776
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.12.100-1.mga3
+ Revision: 277581
- imported package perl-Test-Run-Plugin-ColorSummary


* Fri Aug 19 2011 cpan2dist 0.0121-1mga
- initial mageia release, generated with cpan2dist
